const system = require("../../system");
const Dao = require("../dao.base");
class OrderFlowDao extends Dao {
  constructor() {
    super(Dao.getModelName(OrderFlowDao));
  }
  async putItemBySourceOrderNo(setFields, sourceOrderNos, t) {//进行订单流程更新
    await this.updateByWhere(setFields, { where: { sourceOrderNo: { [this.db.Op.in]: sourceOrderNos } } }, t)
  }
}
module.exports = OrderFlowDao;
